#
# spec file for package ksupp (Version 1.0)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  bzip gpp libgpp qtlib qtdevel

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         ksupp
Release:      4
Copyright:    1997,98 The KDE-Team
Group: 
Provides:     kdesupport 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Summary:      KDE base package (support)
Version:      1.0
Source: kdesupport-1.0.tar.gz 
Patch:  kdesupport-1.0.dif 
%description
Newest KDE packages adepted to S.u.S.E. Linux may be found at
ftp://ftp.suse.com/pub/suse_update/KDE. 
General information for KDE can be found at the respective addresses
in WWW (http://www.kde.org) or our support database
(http://www.suse.de/Support/sdb). 
This package contains kdesupport, one of the basic packages of the K
Desktop Environment. It contains necessary libraries for managing
graphics, mail and html processing.
This package is absolutely necessary for using KDE!
Documentation may be found in:
/usr/doc/packages/kde/ksupp 

Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -n kdesupport-1.0 
%patch 
%build
. ./variables.sh
./configure \
  --with-libjpeg=no \
  --with-libgif=no \
  --with-libgdbm=no
make
touch lastinit
%install
. ./variables.sh
export DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README"
make install
install -d -m 755 /usr/doc/packages/kde/ksupp
install -m 644 ${DOCS} /usr/doc/packages/kde/ksupp
cd ${KDEDIR}/lib
rm -f   libuulib.so \
	libQwSpriteField.so \
	libmimelib.so
rm -f   libuulib.so.0 \
	libQwSpriteField.so.1 \
	libmimelib.so.1
ln -s libQwSpriteField.so.1.4.2 libQwSpriteField.so
ln -s libQwSpriteField.so.1.4.2 libQwSpriteField.so.1
ln -s libuulib.so.0.0.0 libuulib.so
ln -s libuulib.so.0.0.0 libuulib.so.0
ln -s libmimelib.so.1.0.0 libmimelib.so
ln -s libmimelib.so.1.0.0 libmimelib.so.1
Check
%files
%dir /opt/kde
%dir /opt/kde/include
%dir /opt/kde/include/mimelib
%dir /opt/kde/lib
%docdir /usr/doc/packages/kde/ksupp
/opt/kde/include/Pix.h
/opt/kde/include/QwCluster.h
/opt/kde/include/QwPublicList.h
/opt/kde/include/QwSpriteField.h
/opt/kde/include/fptools.h
/opt/kde/include/mimelib/address.h
/opt/kde/include/mimelib/addrlist.h
/opt/kde/include/mimelib/binhex.h
/opt/kde/include/mimelib/body.h
/opt/kde/include/mimelib/bodypart.h
/opt/kde/include/mimelib/boyermor.h
/opt/kde/include/mimelib/config.h
/opt/kde/include/mimelib/datetime.h
/opt/kde/include/mimelib/debug.h
/opt/kde/include/mimelib/disptype.h
/opt/kde/include/mimelib/entity.h
/opt/kde/include/mimelib/enum.h
/opt/kde/include/mimelib/field.h
/opt/kde/include/mimelib/fieldbdy.h
/opt/kde/include/mimelib/group.h
/opt/kde/include/mimelib/headers.h
/opt/kde/include/mimelib/mailbox.h
/opt/kde/include/mimelib/mboxlist.h
/opt/kde/include/mimelib/mechansm.h
/opt/kde/include/mimelib/mediatyp.h
/opt/kde/include/mimelib/message.h
/opt/kde/include/mimelib/mimepp.h
/opt/kde/include/mimelib/msgcmp.h
/opt/kde/include/mimelib/msgid.h
/opt/kde/include/mimelib/nntp.h
/opt/kde/include/mimelib/param.h
/opt/kde/include/mimelib/pop.h
/opt/kde/include/mimelib/protocol.h
/opt/kde/include/mimelib/smtp.h
/opt/kde/include/mimelib/string.h
/opt/kde/include/mimelib/text.h
/opt/kde/include/mimelib/token.h
/opt/kde/include/mimelib/utility.h
/opt/kde/include/mimelib/uuencode.h
/opt/kde/include/uudeview.h
/opt/kde/include/uuint.h
/opt/kde/include/uustring.h
/opt/kde/lib/libQwSpriteField.a
/opt/kde/lib/libQwSpriteField.la
/opt/kde/lib/libQwSpriteField.so.1.4.2
/opt/kde/lib/libQwSpriteField.so
/opt/kde/lib/libQwSpriteField.so.1
/opt/kde/lib/libmimelib.a
/opt/kde/lib/libmimelib.la
/opt/kde/lib/libmimelib.so.1.0.0
/opt/kde/lib/libmimelib.so
/opt/kde/lib/libmimelib.so.1
/opt/kde/lib/libuulib.a
/opt/kde/lib/libuulib.la
/opt/kde/lib/libuulib.so.0.0.0
/opt/kde/lib/libuulib.so
/opt/kde/lib/libuulib.so.0
%doc /usr/doc/packages/kde/ksupp/AUTHORS
%doc /usr/doc/packages/kde/ksupp/COPYING
%doc /usr/doc/packages/kde/ksupp/ChangeLog
%doc /usr/doc/packages/kde/ksupp/INSTALL
%doc /usr/doc/packages/kde/ksupp/NEWS
%doc /usr/doc/packages/kde/ksupp/README

